## linux-backports-modules-3.2.0 3.2.0-150.141

=== updates/cw-3.6/Makefile ===
#

# Copyright (c) 2007-2012 Luis R. Rodriguez <mcgrof@frijolero.org>
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
export MAKE

DESTDIR?=

ifneq ($(KERNELRELEASE),)

-include $(COMPAT_CONFIG)
include $(COMPAT_CONFIG_CW)

NOSTDINC_FLAGS := -I$(M)/include/ \
	-include $(M)/include/linux/compat-2.6.h \
	$(CFLAGS)

obj-y := compat/

obj-$(CONFIG_COMPAT_RFKILL) += net/rfkill/

ifeq ($(BT),)
obj-$(CONFIG_COMPAT_WIRELESS) += net/wireless/ net/mac80211/
obj-$(CONFIG_COMPAT_WIRELESS_MODULES) += drivers/net/wireless/

obj-$(CONFIG_COMPAT_NET_USB_MODULES) += drivers/net/usb/

obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/atheros/
obj-$(CONFIG_COMPAT_NETWORK_MODULES) += drivers/net/ethernet/broadcom/

obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/ssb/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/bcma/
obj-$(CONFIG_COMPAT_VAR_MODULES) += drivers/misc/eeprom/

ifeq ($(CONFIG_STAGING_EXCLUDE_BUILD),)
endif

endif

obj-$(CONFIG_COMPAT_BLUETOOTH) += net/bluetooth/
obj-$(CONFIG_COMPAT_BLUETOOTH_MODULES) += drivers/bluetooth/

else

export PWD :=	$(shell pwd)

# The build will fail if there is any space in PWD.
ifneq (,$(findstring  $() ,$(PWD)))
$(error "The path to this compat-wireless directory has spaces in it." \
	"Please put it somewhere where there is no space")
endif

export CFLAGS += \
        -DCOMPAT_BASE="\"$(shell cat $(PWD)/.compat_base)\"" \
        -DCOMPAT_BASE_TREE="\"$(shell cat $(PWD)/.compat_base_tree)\"" \
        -DCOMPAT_BASE_TREE_VERSION="\"$(shell cat $(PWD)/.compat_base_tree_version)\"" \
        -DCOMPAT_PROJECT="\"Compat-wireless\"" \
        -DCOMPAT_VERSION="\"$(shell cat $(PWD)/.compat_version)\""

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG_CW=$(PWD)/config.mk
export COMPAT_CONFIG=$(PWD)/.config
export CONFIG_CHECK=$(PWD)/.config.mk_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/.compat_version)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(PWD)/$(CREL_PRE)$(CREL)

all: modules

$(COMPAT_CONFIG): ;

modules: $(CREL_CHECK)
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

bt: $(CREL_CHECK)
	+@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) BT=TRUE modules
	@touch $@

# We use a CREL_CHECK variable which will depend on the environment used to
# build. If the environment requirements change it forces a reconfiguration
# check.  This means we force a new reconfiguration check if a the user gets a
# new updates of compat-wireless or when the user updates the $(COMPAT_CONFIG)
# file.
# XXX: add kernel target to the CREL_CHECK mix, this would ensure we also
# reconfigure and build again fresh if we detect a new target kernel is
# being used.
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	+@./compat/scripts/gen-compat-config.sh > $(COMPAT_CONFIG)
	@rm -f $(CONFIG_CHECK)
	+@./scripts/check_config.sh
	@md5sum $(COMPAT_CONFIG_CW) > $(CONFIG_CHECK)
	@touch $@

btinstall: btuninstall bt-install-modules

bt-install-modules: bt
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) BT=TRUE \
		modules_install
	@/sbin/depmod -ae
	@echo
	@echo Now run:
	@echo
	@echo sudo make btunload:
	@echo
	@echo And then load the needed bluetooth modules. If unsure reboot.
	@echo

btuninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/bluetooth/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/bluetooth/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@/sbin/depmod -ae
	@echo

btclean:
	$(MAKE) -C /lib/modules/$(shell uname -r)/build M=$(PWD) BT=TRUE clean
	@rm -f $(CREL_PRE)*

install: uninstall install-modules install-scripts

install-modules: modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@./scripts/update-initramfs

install-scripts:
	@# All the scripts we can use
	@mkdir -p $(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/modlib.sh	$(DESTDIR)/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	$(DESTDIR)/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	$(DESTDIR)/usr/sbin/
	@install scripts/b43enable	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-enable	$(DESTDIR)/usr/sbin/
	@install scripts/athload	$(DESTDIR)/usr/sbin/
	@install scripts/b43load	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-load	$(DESTDIR)/usr/sbin/
	@if [ $(shell modinfo ath_pci > /dev/null 2>&1 && echo 1) ]; then \
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		$(DESTDIR)/usr/sbin/athenable ath5k ;\
	fi
	@if [ $(shell modinfo iwl4965 > /dev/null 2>&1 && echo 1) ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		$(DESTDIR)/usr/sbin/iwl-enable iwlagn ;\
	fi
	@if [ $(shell modinfo iwlagn > /dev/null 2>&1 && echo 1) ] \
	 && [ $(shell modinfo iwlwifi > /dev/null 2>&1 && echo 1) ]; then \
		echo ;\
		echo -n "Note: iwlagn detected, we're going to disable it. " ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwlagn"  ;\
		echo ;\
		echo Running iwl-enable iwlwifi...;\
		$(DESTDIR)/usr/sbin/iwl-enable iwlwifi ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@# Mandrake doesn't have a depmod.d/ conf file to prefer
	@# the updates/ dir which is what we use so we add one for it
	@# (or any other distribution that doens't have this).
	@./scripts/check_depmod
	@# Udev stuff needed for the new compat_firmware_class.
	@./compat/scripts/compat_firmware_install
	@/sbin/depmod -a
	@echo 
	@echo Now run:
	@echo 
	@echo sudo make unload to unload all: wireless, bluetooth and ethernet modules
	@echo sudo make wlunload to unload wireless modules
	@echo sudo make btunload to unload bluetooth modules
	@echo
	@echo Run sudo modprobe 'driver-name' to load your desired driver. 
	@echo If unsure reboot.
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/compat/
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/rfkill/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/staging/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/atl*
	@find $(KLIB)/$(KMODDIR)/drivers/net/ -name "alx*.ko" -o -name "atl*.ko" 2>/dev/null |xargs rm -f
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -a
	@./scripts/update-initramfs
	@echo 

clean:
	@if [ -d net -a -d $(KLIB_BUILD) ]; then \
		$(MAKE) -C $(KLIB_BUILD) M=$(PWD) clean ;\
	fi
	@rm -f $(CREL_PRE)*
unload:
	@./scripts/unload.sh

btunload:
	@./scripts/btunload.sh

wlunload:
	@./scripts/wlunload.sh


.PHONY: all clean install uninstall unload btunload wlunload modules bt Makefile

endif

clean-files += Module.symvers Module.markers modules modules.order
clean-files += $(CREL_CHECK) $(CONFIG_CHECK) $(COMPAT_CONFIG)

=== updates/cw-3.8/Makefile ===
#

# Copyright (c) 2007-2012 Luis R. Rodriguez <mcgrof@frijolero.org>
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
export MAKE

DESTDIR?=

ifneq ($(KERNELRELEASE),)

-include $(COMPAT_CONFIG)
include $(COMPAT_CONFIG_CW)

NOSTDINC_FLAGS := \
	-I$(M)/include/ \
	-I$(M)/include/uapi \
	-I$(M)/include/drm \
	-include $(M)/include/linux/compat-2.6.h \
	$(CFLAGS)

obj-y := compat/

obj-$(CONFIG_COMPAT_RFKILL) += net/rfkill/

ifeq ($(BT),)
obj-$(CONFIG_COMPAT_WIRELESS) += net/wireless/ net/mac80211/
obj-$(CONFIG_COMPAT_WIRELESS_MODULES) += drivers/net/wireless/

ifeq ($(CONFIG_STAGING_EXCLUDE_BUILD),)
endif

endif

else

export PWD :=	$(shell pwd)

# The build will fail if there is any space in PWD.
ifneq (,$(findstring  $() ,$(PWD)))
$(error "The path to this compat-drivers directory has spaces in it." \
	"Please put it somewhere where there is no space")
endif

export CFLAGS += \
        -DCOMPAT_BASE="\"$(shell cat $(PWD)/.compat_base)\"" \
        -DCOMPAT_BASE_TREE="\"$(shell cat $(PWD)/.compat_base_tree)\"" \
        -DCOMPAT_BASE_TREE_VERSION="\"$(shell cat $(PWD)/.compat_base_tree_version)\"" \
        -DCOMPAT_PROJECT="\"Compat-drivers\"" \
        -DCOMPAT_VERSION="\"$(shell cat $(PWD)/.compat_version)\""

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG_CW=$(PWD)/config.mk
export COMPAT_CONFIG=$(PWD)/.config
export CONFIG_CHECK=$(PWD)/.config.mk_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/.compat_version)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(PWD)/$(CREL_PRE)$(CREL)

all: modules

$(COMPAT_CONFIG): ;

modules: $(CREL_CHECK)
	+@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

bt: $(CREL_CHECK)
	+@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) BT=TRUE modules
	@touch $@

# We use a CREL_CHECK variable which will depend on the environment used to
# build. If the environment requirements change it forces a reconfiguration
# check.  This means we force a new reconfiguration check if a the user gets a
# new updates of compat-drivers or when the user updates the $(COMPAT_CONFIG)
# file.
# XXX: add kernel target to the CREL_CHECK mix, this would ensure we also
# reconfigure and build again fresh if we detect a new target kernel is
# being used.
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	+@./compat/scripts/gen-compat-config.sh > $(COMPAT_CONFIG)
	@rm -f $(CONFIG_CHECK)
	+@./scripts/check_config.sh
	@md5sum $(COMPAT_CONFIG_CW) > $(CONFIG_CHECK)
	@touch $@

btinstall: btuninstall bt-install-modules

bt-install-modules: bt
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) BT=TRUE \
		modules_install
	@/sbin/depmod -ae
	@echo
	@echo Now run:
	@echo
	@echo sudo make btunload:
	@echo
	@echo And then load the needed bluetooth modules. If unsure reboot.
	@echo

btuninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/bluetooth/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/bluetooth/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@/sbin/depmod -ae
	@echo

btclean:
	$(MAKE) -C /lib/modules/$(shell uname -r)/build M=$(PWD) BT=TRUE clean
	@rm -f $(CREL_PRE)*

install: uninstall install-modules install-scripts

install-modules: modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@./scripts/update-initramfs

install-scripts:
	@# All the scripts we can use
	@mkdir -p $(DESTDIR)/usr/lib/compat-drivers/
	@install scripts/modlib.sh	$(DESTDIR)/usr/lib/compat-drivers/
	@install scripts/git-paranoia	$(DESTDIR)/usr/sbin/
	@install scripts/madwifi-unload	$(DESTDIR)/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	$(DESTDIR)/usr/sbin/
	@install scripts/b43enable	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-enable	$(DESTDIR)/usr/sbin/
	@install scripts/athload	$(DESTDIR)/usr/sbin/
	@install scripts/b43load	$(DESTDIR)/usr/sbin/
	@install scripts/iwl-load	$(DESTDIR)/usr/sbin/
	@if [ $(shell modinfo ath_pci > /dev/null 2>&1 && echo 1) ]; then \
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		$(DESTDIR)/usr/sbin/athenable ath5k ;\
	fi
	@if [ $(shell modinfo iwl4965 > /dev/null 2>&1 && echo 1) ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		$(DESTDIR)/usr/sbin/iwl-enable iwlagn ;\
	fi
	@if [ $(shell modinfo iwlagn > /dev/null 2>&1 && echo 1) ] \
	 && [ $(shell modinfo iwlwifi > /dev/null 2>&1 && echo 1) ]; then \
		echo ;\
		echo -n "Note: iwlagn detected, we're going to disable it. " ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwlagn"  ;\
		echo ;\
		echo Running iwl-enable iwlwifi...;\
		$(DESTDIR)/usr/sbin/iwl-enable iwlwifi ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@# Mandrake doesn't have a depmod.d/ conf file to prefer
	@# the updates/ dir which is what we use so we add one for it
	@# (or any other distribution that doens't have this).
	@./scripts/check_depmod
	@# Udev stuff needed for the new compat_firmware_class.
	@./compat/scripts/compat_firmware_install
	@/sbin/depmod -a
	@echo 
	@echo Now run:
	@echo 
	@echo sudo make unload to unload all: wireless, bluetooth and ethernet modules
	@echo sudo make wlunload to unload wireless modules
	@echo sudo make btunload to unload bluetooth modules
	@echo
	@echo Run sudo modprobe 'driver-name' to load your desired driver. 
	@echo If unsure reboot.
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/compat/
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/rfkill/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/staging/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/atl*
	@find $(KLIB)/$(KMODDIR)/drivers/net/ -name "alx*.ko" -o -name "atl*.ko" 2>/dev/null |xargs rm -f
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -a
	@./scripts/update-initramfs
	@echo 

clean:
	@if [ -d net -a -d $(KLIB_BUILD) ]; then \
		$(MAKE) -C $(KLIB_BUILD) M=$(PWD) clean ;\
	fi
	@rm -f $(CREL_PRE)*
unload:
	@./scripts/unload.sh

btunload:
	@./scripts/btunload.sh

wlunload:
	@./scripts/wlunload.sh


.PHONY: all clean install uninstall unload btunload wlunload modules bt Makefile

endif

clean-files += Module.symvers Module.markers modules modules.order
clean-files += $(CREL_CHECK) $(CONFIG_CHECK) $(COMPAT_CONFIG)

=== updates/hv/Makefile ===
obj-y += drivers/hv/
obj-y += drivers/hid/
obj-y += drivers/net/hyperv/
obj-y += drivers/scsi/

=== updates/hv/drivers/scsi/Makefile ===
LINUXINCLUDE := -I$(M)/drivers/hv/include $(LINUXINCLUDE)

hv_storvsc-y			:= storvsc_drv.o
obj-$(CONFIG_HYPERV_STORAGE)    += hv_storvsc.o

=== updates/net/ixgbe/src/Makefile ===
################################################################################
#
# Intel 10 Gigabit PCI Express Linux driver
# Copyright(c) 1999 - 2012 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# e1000-devel Mailing List <e1000-devel@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

###########################################################################
# Driver files

# core driver files
CFILES = ixgbe_main.c ixgbe_common.c ixgbe_api.c ixgbe_param.c \
         ixgbe_ethtool.c kcompat.c ixgbe_82598.c \
         ixgbe_82599.c ixgbe_ptp.c \
       ixgbe_x540.c \
         ixgbe_sriov.c ixgbe_mbx.c \
         ixgbe_dcb.c ixgbe_dcb_82598.c \
         ixgbe_dcb_82599.c \
         ixgbe_sysfs.c \
         ixgbe_procfs.c \
         ixgbe_phy.c
HFILES = ixgbe.h ixgbe_common.h ixgbe_api.h ixgbe_osdep.h kcompat.h \
         ixgbe_sriov.h ixgbe_mbx.h \
         ixgbe_dcb.h \
         ixgbe_phy.h ixgbe_ptp.h
ifeq (,$(BUILD_KERNEL))
BUILD_KERNEL=$(shell uname -r)
endif

DRIVER_NAME=ixgbe

###########################################################################
# Environment tests

# Kernel Search Path
# All the places we look for kernel source
KSP :=  /lib/modules/$(BUILD_KERNEL)/build \
        /lib/modules/$(BUILD_KERNEL)/source \
        /usr/src/linux-$(BUILD_KERNEL) \
        /usr/src/linux-$($(BUILD_KERNEL) | sed 's/-.*//') \
        /usr/src/kernel-headers-$(BUILD_KERNEL) \
        /usr/src/kernel-source-$(BUILD_KERNEL) \
        /usr/src/linux-$($(BUILD_KERNEL) | sed 's/\([0-9]*\.[0-9]*\)\..*/\1/') \
        /usr/src/linux

# prune the list down to only values that exist
# and have an include/linux sub-directory
test_dir = $(shell [ -e $(dir)/include/linux ] && echo $(dir))
KSP := $(foreach dir, $(KSP), $(test_dir))

# we will use this first valid entry in the search path
ifeq (,$(KSRC))
  KSRC := $(firstword $(KSP))
endif

ifeq (,$(KSRC))
  $(warning *** Kernel header files not in any of the expected locations.)
  $(warning *** Install the appropriate kernel development package, e.g.)
  $(error kernel-devel, for building kernel modules and try again)
else
ifeq (/lib/modules/$(BUILD_KERNEL)/source, $(KSRC))
  KOBJ :=  /lib/modules/$(BUILD_KERNEL)/build
else
  KOBJ :=  $(KSRC)
endif
endif

# Version file Search Path
VSP :=  $(KOBJ)/include/generated/utsrelease.h \
        $(KOBJ)/include/linux/utsrelease.h \
        $(KOBJ)/include/linux/version.h \
        /boot/vmlinuz.version.h

# Config file Search Path
CSP :=  $(KOBJ)/include/generated/autoconf.h \
        $(KOBJ)/include/linux/autoconf.h \
        /boot/vmlinuz.autoconf.h

# prune the lists down to only files that exist
test_file = $(shell [ -f $(file) ] && echo $(file))
VSP := $(foreach file, $(VSP), $(test_file))
CSP := $(foreach file, $(CSP), $(test_file))

# and use the first valid entry in the Search Paths
ifeq (,$(VERSION_FILE))
  VERSION_FILE := $(firstword $(VSP))
endif
ifeq (,$(CONFIG_FILE))
  CONFIG_FILE := $(firstword $(CSP))
endif

ifeq (,$(wildcard $(VERSION_FILE)))
  $(error Linux kernel source not configured - missing version header file)
endif

ifeq (,$(wildcard $(CONFIG_FILE)))
  $(error Linux kernel source not configured - missing autoconf.h)
endif

# pick a compiler
ifneq (,$(findstring egcs-2.91.66, $(shell cat /proc/version)))
  CC := kgcc gcc cc
else
  CC := gcc cc
endif
test_cc = $(shell $(cc) --version > /dev/null 2>&1 && echo $(cc))
CC := $(foreach cc, $(CC), $(test_cc))
CC := $(firstword $(CC))
ifeq (,$(CC))
  $(error Compiler not found)
endif

# we need to know what platform the driver is being built on
# some additional features are only built on Intel platforms
ARCH := $(shell uname -m | sed 's/i.86/i386/')
ifeq ($(ARCH),alpha)
  EXTRA_CFLAGS += -ffixed-8 -mno-fp-regs
endif
ifeq ($(ARCH),x86_64)
  EXTRA_CFLAGS += -mcmodel=kernel -mno-red-zone
endif
ifeq ($(ARCH),ppc)
  EXTRA_CFLAGS += -msoft-float
endif
ifeq ($(ARCH),ppc64)
  EXTRA_CFLAGS += -m64 -msoft-float
  LDFLAGS += -melf64ppc
endif

# extra flags for module builds
EXTRA_CFLAGS += -DDRIVER_$(shell echo $(DRIVER_NAME) | tr '[a-z]' '[A-Z]')
EXTRA_CFLAGS += -DDRIVER_NAME=$(DRIVER_NAME)
EXTRA_CFLAGS += -DDRIVER_NAME_CAPS=$(shell echo $(DRIVER_NAME) | tr '[a-z]' '[A-Z]')
# standard flags for module builds
EXTRA_CFLAGS += -DLINUX -D__KERNEL__ -DMODULE -O2 -pipe -Wall
EXTRA_CFLAGS += -I$(KSRC)/include -I.
EXTRA_CFLAGS += $(shell [ -f $(KSRC)/include/linux/modversions.h ] && \
            echo "-DMODVERSIONS -DEXPORT_SYMTAB \
                  -include $(KSRC)/include/linux/modversions.h")

EXTRA_CFLAGS += $(CFLAGS_EXTRA)

RHC := $(KSRC)/include/linux/rhconfig.h
ifneq (,$(wildcard $(RHC)))
  # 7.3 typo in rhconfig.h
  ifneq (,$(shell $(CC) $(CFLAGS) -E -dM $(RHC) | grep __module__bigmem))
	EXTRA_CFLAGS += -D__module_bigmem
  endif
endif

# get the kernel version - we use this to find the correct install path
KVER := $(shell $(CC) $(EXTRA_CFLAGS) -E -dM $(VERSION_FILE) | grep UTS_RELEASE | \
        awk '{ print $$3 }' | sed 's/\"//g')

# assume source symlink is the same as build, otherwise adjust KOBJ
ifneq (,$(wildcard /lib/modules/$(KVER)/build))
ifneq ($(KSRC),$(shell readlink /lib/modules/$(KVER)/build))
  KOBJ=/lib/modules/$(KVER)/build
endif
endif

KVER_CODE := $(shell $(CC) $(EXTRA_CFLAGS) -E -dM $(VSP) 2>/dev/null |\
	grep -m 1 LINUX_VERSION_CODE | awk '{ print $$3 }' | sed 's/\"//g')

# abort the build on kernels older than 2.4.0
ifneq (1,$(shell [ $(KVER_CODE) -ge 132096 ] && echo 1 || echo 0))
  $(error *** Aborting the build. \
          *** This driver is not supported on kernel versions older than 2.4.0)
endif

# Add DCB netlink source if our kernel is 2.6.23 or newer
ifeq (1,$(shell [ $(KVER_CODE) -ge 132631 ] && echo 1 || echo 0))
  CFILES += ixgbe_dcb_nl.c
endif

# Add FCoE source if FCoE is supported by the kernel
FCOE := $(shell grep -wE 'CONFIG_FCOE|CONFIG_FCOE_MODULE' $(CONFIG_FILE) | \
	awk '{print $$3}')
ifeq ($(FCOE), 1)
  CFILES += ixgbe_fcoe.c
  HFILES += ixgbe_fcoe.h
endif

# set the install path
INSTDIR := /lib/modules/$(KVER)/kernel/drivers/net/$(DRIVER_NAME)

# look for SMP in config.h
SMP := $(shell $(CC) $(EXTRA_CFLAGS) -E -dM $(CONFIG_FILE) | \
         grep -w CONFIG_SMP | awk '{ print $$3 }')
ifneq ($(SMP),1)
  SMP := 0
endif

ifneq ($(SMP),$(shell uname -a | grep SMP > /dev/null 2>&1 && echo 1 || echo 0))
  $(warning ***)
  ifeq ($(SMP),1)
    $(warning *** Warning: kernel source configuration (SMP))
    $(warning *** does not match running kernel (UP))
  else
    $(warning *** Warning: kernel source configuration (UP))
    $(warning *** does not match running kernel (SMP))
  endif
  $(warning *** Continuing with build,)
  $(warning *** resulting driver may not be what you want)
  $(warning ***)
endif

ifeq ($(SMP),1)
  EXTRA_CFLAGS += -D__SMP__
endif

###########################################################################
# Kernel Version Specific rules

ifeq (1,$(shell [ $(KVER_CODE) -ge 132352 ] && echo 1 || echo 0))

# Makefile for 2.5.x and newer kernel
TARGET = $(DRIVER_NAME).ko

# man page
MANSECTION = 7
MANFILE = $(TARGET:.ko=.$(MANSECTION))

ifneq ($(PATCHLEVEL),)
EXTRA_CFLAGS += $(CFLAGS_EXTRA)
obj-m += $(DRIVER_NAME).o
$(DRIVER_NAME)-objs := $(CFILES:.c=.o)
else
default:
ifeq ($(KOBJ),$(KSRC))
	$(MAKE) -C $(KSRC) SUBDIRS=$(shell pwd) modules
else
	$(MAKE) -C $(KSRC) O=$(KOBJ) SUBDIRS=$(shell pwd) modules
endif
endif

else # ifeq (1,$(shell [ $(KVER_CODE) -ge 132352 ] && echo 1 || echo 0))

# Makefile for 2.4.x kernel
TARGET = $(DRIVER_NAME).o

# man page
MANSECTION = 7
MANFILE = $(TARGET:.o=.$(MANSECTION))

# Get rid of compile warnings in kernel header files from SuSE
ifneq (,$(wildcard /etc/SuSE-release))
  EXTRA_CFLAGS += -Wno-sign-compare -fno-strict-aliasing
endif

# Get rid of compile warnings in kernel header files from fedora
ifneq (,$(wildcard /etc/fedora-release))
  EXTRA_CFLAGS += -fno-strict-aliasing
endif
CFLAGS += $(EXTRA_CFLAGS)

.SILENT: $(TARGET)
$(TARGET): $(filter-out $(TARGET), $(CFILES:.c=.o))
	$(LD) $(LDFLAGS) -r $^ -o $@
	echo; echo
	echo "**************************************************"
	echo "** $(TARGET) built for $(KVER)"
	echo -n "** SMP               "
	if [ "$(SMP)" = "1" ]; \
		then echo "Enabled"; else echo "Disabled"; fi
	echo "**************************************************"
	echo

$(CFILES:.c=.o): $(HFILES) Makefile
default:
	$(MAKE)

endif # ifeq (1,$(shell [ $(KVER_CODE) -ge 132352 ] && echo 1 || echo 0))

ifeq (,$(MANDIR))
  # find the best place to install the man page
  MANPATH := $(shell (manpath 2>/dev/null || echo $MANPATH) | sed 's/:/ /g')
  ifneq (,$(MANPATH))
    # test based on inclusion in MANPATH
    test_dir = $(findstring $(dir), $(MANPATH))
  else
    # no MANPATH, test based on directory existence
    test_dir = $(shell [ -e $(dir) ] && echo $(dir))
  endif
  # our preferred install path
  # should /usr/local/man be in here ?
  MANDIR := /usr/share/man /usr/man
  MANDIR := $(foreach dir, $(MANDIR), $(test_dir))
  MANDIR := $(firstword $(MANDIR))
endif
ifeq (,$(MANDIR))
  # fallback to /usr/man
  MANDIR := /usr/man
endif

# depmod version for rpm builds
DEPVER := $(shell /sbin/depmod -V 2>/dev/null | \
          awk 'BEGIN {FS="."} NR==1 {print $$2}')

###########################################################################
# Build rules

$(MANFILE).gz: ../$(MANFILE)
	gzip -c $< > $@

install: default $(MANFILE).gz
	# remove all old versions of the driver
	find $(INSTALL_MOD_PATH)/lib/modules/$(KVER) -name $(TARGET) -exec rm -f {} \; || true
	find $(INSTALL_MOD_PATH)/lib/modules/$(KVER) -name $(TARGET).gz -exec rm -f {} \; || true
	install -D -m 644 $(TARGET) $(INSTALL_MOD_PATH)$(INSTDIR)/$(TARGET)
ifeq (,$(INSTALL_MOD_PATH))
	/sbin/depmod -a || true
else
  ifeq ($(DEPVER),1 )
	/sbin/depmod -r $(INSTALL_MOD_PATH) -a || true
  else
	/sbin/depmod -b $(INSTALL_MOD_PATH) -a -n $(KVERSION) > /dev/null || true
  endif
endif
	install -D -m 644 $(MANFILE).gz $(INSTALL_MOD_PATH)$(MANDIR)/man$(MANSECTION)/$(MANFILE).gz
	man -c -P'cat > /dev/null' $(MANFILE:.$(MANSECTION)=) || true

uninstall:
	if [ -e $(INSTDIR)/$(TARGET) ] ; then \
	    rm -f $(INSTDIR)/$(TARGET) ; \
	fi
	/sbin/depmod -a
	if [ -e $(MANDIR)/man$(MANSECTION)/$(MANFILE).gz ] ; then \
		rm -f $(MANDIR)/man$(MANSECTION)/$(MANFILE).gz ; \
	fi

.PHONY: clean install

clean:
ifeq ($(KOBJ),$(KSRC))
	$(MAKE) -C $(KSRC) SUBDIRS=$(shell pwd) clean
else
	$(MAKE) -C $(KSRC) O=$(KOBJ) SUBDIRS=$(shell pwd) clean
endif
	rm -rf $(TARGET) $(TARGET:.ko=.o) $(TARGET:.ko=.mod.c) $(TARGET:.ko=.mod.o) $(CFILES:.c=.o) $(MANFILE).gz .*cmd .tmp_versions

=== updates/cw-3.5/drivers/net/wireless/ath/ath9k/Makefile ===
ath9k-y +=	beacon.o \
		gpio.o \
		init.o \
		main.o \
		recv.o \
		xmit.o

ath9k-$(CONFIG_ATH9K_BTCOEX_SUPPORT) += mci.o
ath9k-$(CONFIG_COMPAT_ATH9K_RATE_CONTROL) += rc.o
ath9k-$(CONFIG_ATH9K_PCI) += pci.o
ath9k-$(CONFIG_ATH9K_AHB) += ahb.o
ath9k-$(CONFIG_ATH9K_DEBUGFS) += debug.o
ath9k-$(CONFIG_ATH9K_DFS_DEBUGFS) += dfs_debug.o
ath9k-$(CONFIG_ATH9K_DFS_CERTIFIED) += \
		dfs.o \
		dfs_pattern_detector.o \
		dfs_pri_detector.o

obj-$(CONFIG_ATH9K) += ath9k.o

ath9k_hw-y:=	\
		ar9002_hw.o \
		ar9003_hw.o \
		hw.o \
		ar9003_phy.o \
		ar9002_phy.o \
		ar5008_phy.o \
		ar9002_calib.o \
		ar9003_calib.o \
		ar9003_rtt.o \
		calib.o \
		eeprom.o \
		eeprom_def.o \
		eeprom_4k.o \
		eeprom_9287.o \
		ani.o \
		mac.o \
		ar9002_mac.o \
		ar9003_mac.o \
		ar9003_eeprom.o \
		ar9003_paprd.o

ath9k_hw-$(CONFIG_ATH9K_BTCOEX_SUPPORT) += btcoex.o \
					   ar9003_mci.o
obj-$(CONFIG_ATH9K_HW) += ath9k_hw.o

obj-$(CONFIG_ATH9K_COMMON) += ath9k_common.o
ath9k_common-y:=	common.o

ath9k_htc-y +=	htc_hst.o \
		hif_usb.o \
		wmi.o \
		htc_drv_txrx.o \
		htc_drv_main.o \
		htc_drv_beacon.o \
		htc_drv_init.o \
		htc_drv_gpio.o

ath9k_htc-$(CONFIG_ATH9K_HTC_DEBUGFS) += htc_drv_debug.o

obj-$(CONFIG_ATH9K_HTC) += ath9k_htc.o

=== debian/changelog ===
linux-backports-modules-3.2.0 (3.2.0-150.141) precise; urgency=medium

  * Bump ABI 3.2.0-150

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 05 Apr 2021 15:04:12 -0300

linux-backports-modules-3.2.0 (3.2.0-149.140) precise; urgency=medium

  * Bump ABI 3.2.0-149

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 18 Sep 2020 11:54:24 -0300

linux-backports-modules-3.2.0 (3.2.0-148.139) precise; urgency=medium

  * Bump ABI 3.2.0-148

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Wed, 10 Jun 2020 14:07:32 -0700

linux-backports-modules-3.2.0 (3.2.0-147.138) precise; urgency=medium

  * Bump ABI 3.2.0-147

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 02 Jun 2020 21:52:14 -0300

linux-backports-modules-3.2.0 (3.2.0-145.137) precise; urgency=medium

  * Bump ABI 3.2.0-145

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Fri, 22 May 2020 12:18:35 -0700

linux-backports-modules-3.2.0 (3.2.0-144.136) precise; urgency=medium

  * Bump ABI 3.2.0-144

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 08 Nov 2019 17:10:56 +0100

linux-backports-modules-3.2.0 (3.2.0-143.135) precise; urgency=medium

  * Bump ABI 3.2.0-143

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 13 Sep 2019 14:39:34 +0200

linux-backports-modules-3.2.0 (3.2.0-142.134) precise; urgency=medium

  * Bump ABI 3.2.0-142


 -- Juerg Haefliger <juergh@canonical.com>  Fri, 05 Jul 2019 16:15:03 +0200

linux-backports-modules-3.2.0 (3.2.0-141.133) precise; urgency=medium

  * Bump ABI

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 07 Jun 2019 11:32:52 +0200

linux-backports-modules-3.2.0 (3.2.0-140.132) precise; urgency=medium

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 10 May 2019 10:05:03 +0200

linux-backports-modules-3.2.0 (3.2.0-139.131) precise; urgency=medium

  * Bump ABI

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 05 Dec 2018 22:00:51 +0100

linux-backports-modules-3.2.0 (3.2.0-138.130) precise; urgency=medium

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 15 Nov 2018 12:52:45 -0800

linux-backports-modules-3.2.0 (3.2.0-137.129) precise; urgency=low

  * UBUNTU: cw: fix compilation error after L1TF fixes

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 31 Oct 2018 12:48:02 +0100

linux-backports-modules-3.2.0 (3.2.0-137.128) precise; urgency=low

  * Bump ABI

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 31 Oct 2018 12:48:02 +0100

linux-backports-modules-3.2.0 (3.2.0-136.127) precise; urgency=low

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 25 Sep 2018 12:34:47 +0200

linux-backports-modules-3.2.0 (3.2.0-135.126) precise; urgency=medium

  * Bump ABI

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 31 Aug 2018 18:04:19 +0200

linux-backports-modules-3.2.0 (3.2.0-134.125) precise; urgency=medium

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 02 May 2018 17:44:29 +0200

linux-backports-modules-3.2.0 (3.2.0-133.124) precise; urgency=medium

  * Bump ABI

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 29 Jan 2018 12:04:54 +0100

linux-backports-modules-3.2.0 (3.2.0-132.123) precise; urgency=medium

  * Bmp ABI

 -- Kamal Mostafa <kamal@canonical.com>  Tue, 09 Jan 2018 16:09:52 -0800

linux-backports-modules-3.2.0 (3.2.0-131.122) precise; urgency=medium

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 13 Sep 2017 15:24:05 +0200

linux-backports-modules-3.2.0 (3.2.0-130.121) precise; urgency=medium

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 18 Jul 2017 17:40:28 +0200

linux-backports-modules-3.2.0 (3.2.0-129.120) precise; urgency=medium

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 27 Jun 2017 12:11:42 +0200

linux-backports-modules-3.2.0 (3.2.0-128.119) precise; urgency=medium

  * Bump ABI

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 14 Jun 2017 16:45:59 +0200

=== debian/control ===
Source: linux-backports-modules-3.2.0
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-source-3.2.0, linux-headers-3.2.0-150-generic [i386 amd64], linux-headers-3.2.0-150-generic-pae [i386], linux-headers-3.2.0-150-virtual [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-precise-lbm.git

Package: linux-headers-lbm-3.2.0-150
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 3.2.0
 This package provides linux-ubuntu-modules header files for version 3.2.0, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-150/debian.README.gz for details

Package: linux-headers-lbm-3.2.0-150-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-3.2.0-150-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 3.2.0
 This package provides linux-backports-modules header files for version 3.2.0, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-3.2.0-150/debian.README.gz for details

Package: linux-backports-modules-cw-3.3-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.3-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.4-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.4-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.5-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.5-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.6-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.6-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.7-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.7-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.8-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.8-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.10-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.10-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.11-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.12-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.11-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-cw-3.12-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts:linux-backports-modules-cw-3.3-3.2.0-150-generic, linux-backports-modules-cw-3.4-3.2.0-150-generic, linux-backports-modules-cw-3.5-3.2.0-150-generic, linux-backports-modules-cw-3.6-3.2.0-150-generic, linux-backports-modules-cw-3.7-3.2.0-150-generic, linux-backports-modules-cw-3.8-3.2.0-150-generic, linux-backports-modules-cw-3.10-3.2.0-150-generic, linux-backports-modules-cw-3.11-3.2.0-150-generic
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 3.2.0 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-cw-3.12-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 3.2.0 on x86/x86_64
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-hv-3.2.0-150-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-3.2.0-150-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux Hyper-V updates for version 3.2.0 on x86/x86_64
 This package contains Hyper-V updated modules supplied by Ubuntu for Linux
 kernel 3.2.0 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-hv-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-3.2.0-150-generic-pae
Architecture: i386

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

# This is the debhelper compatability version to use.
export DH_COMPAT=5
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -rf debian/linux-backports-modules*
	rm -rf debian/linux-headers*
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release) $(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	if [ -d debian/d-i/firmware ]; then \
		install -d $(udebdir)/firmware/$(arch); \
		cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/; \
	fi
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@
